=== debian/control ===
--- 
+++ 
@@ -7,12 +7,12 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5i18n-dev (>= 5.104.0~),
-               libkf5pty-dev (>= 5.104.0~),
-               libkf5service-dev (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
+               libkf5config-dev (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5i18n-dev (>= 5.109.0~),
+               libkf5pty-dev (>= 5.109.0~),
+               libkf5service-dev (>= 5.109.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
@@ -48,7 +48,7 @@
 Package: libkf5su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5pty-dev (>= 5.104.0~),
+Depends: libkf5pty-dev (>= 5.109.0~),
          libkf5su5 (= ${binary:Version}),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)
