## kdesu 5.116.0+p24.04+vstable+git20251020.0017

=== debian/changelog ===
kdesu (5.116.0+p24.04+vstable+git20251020.0017-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:17:19 +0000
