## kdesu 5.116.0+p24.04+vstable+git20260122.1308

=== debian/changelog ===
kdesu (5.116.0+p24.04+vstable+git20260122.1308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 13:08:43 +0000
