## kdesu 5.116.0+p24.04+vstable+git20260131.1258

=== debian/changelog ===
kdesu (5.116.0+p24.04+vstable+git20260131.1258-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:58:28 +0000
