## kdesu 5.116.0+p24.04+vunstable+git20251015.1100

=== debian/changelog ===
kdesu (5.116.0+p24.04+vunstable+git20251015.1100-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:00:30 +0000
