## kdesu 5.116.0+p24.04+vunstable+git20251021.0341

=== debian/changelog ===
kdesu (5.116.0+p24.04+vunstable+git20251021.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:41:46 +0000
