## kdesu 5.116.0+p24.04+vunstable+git20251123.1909

=== debian/changelog ===
kdesu (5.116.0+p24.04+vunstable+git20251123.1909-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 19:09:14 +0000
