## kdesu 5.116.0+p24.04+vunstable+git20260122.0218

=== debian/changelog ===
kdesu (5.116.0+p24.04+vunstable+git20260122.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:18:56 +0000
